=== debian/changelog ===
grpc (1.2.5-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/copyright with missing license information. (Closes: #861383)
  * make-pkg-config-files-nonexecutable.diff: New patch, installs .pc files 
    as nonexecutable. Fixes Lintian warning.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 28 Apr 2017 18:48:22 +0200

grpc (1.2.5-1+nmu0) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    * Fixes CVE-2017-7860 and CVE-2017-7861. (Closes: #860316)
    * Build the C++ library in addition to the C library.
      * New packages libgrpc++-dev and libgrpc++1.
      * Make a new package protobuf-compiler-grpc. (Closes: #818327)
    * Add build-dependency on libprotoc-dev.
    * Disable running tests, as they depend on Google's benchmark library,
      which does not exist in Debian yet (and we do not wish to vendor it).
      (By extension, Closes: #812845)
    * Soname bump from libgrpc0 to libgrpc3.
  * openssl-1.1.0.diff: New patch, fixes FTBFS with OpenSSL 1.1.0.
    (Closes: #828332)
  * fix-libgrpc++-soname.diff: New patch, fixes the symlink of libgrpc++
    to match the soname (fix for upstream bug #10299).
  * Install libgrpc_unsecure.a.
  * Install the pkg-config files.
  * Upgrade to Standards-Version 3.9.8 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 Apr 2017 19:11:42 +0200
