=== debian/changelog ===
grpc (1.3.2-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:36 +0000

grpc (1.3.2-1ubuntu1) bionic; urgency=medium

  * Revert to openssl 1.0 API temporarily; 1.3.2-1 package has unresolved
    symbols.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Feb 2018 21:45:10 -0800

grpc (1.3.2-1) unstable; urgency=medium

  [ Pirate Praveen <praveen@onenetbeyond.org> ]
  * Patch to provide a wrapped memcpy for linking (closes: #867541).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Aug 2017 10:44:38 +0000

grpc (1.3.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
    * fix-libgrpc++-soname.diff: Update to also fix the soname of
      libgrpc++_error_details.so. (Closes: #863717)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 01 Jun 2017 18:11:56 +0200

grpc (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    * Refreshed all patches.
    * Add Build-Dependency on libc-ares-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 18 May 2017 18:09:28 +0200
